Show / Hide Table of Contents

# Class ProxyException

Base class exception associated with this proxy implementation

##### Inheritance

Object
Exception
ProxyException
BodyNotFoundException
ProxyAuthorizationException
ProxyHttpException

##### Implements

ISerializable
_Exception

##### Inherited Members

Exception.GetBaseException()
Exception.ToString()
Exception.GetObjectData(SerializationInfo, StreamingContext)
Exception.GetType()
Exception.Message
Exception.Data
Exception.InnerException
Exception.TargetSite
Exception.StackTrace
Exception.HelpLink
Exception.Source
Exception.HResult
Exception.SerializeObjectState
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Exceptions

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public abstract class ProxyException : Exception, ISerializable, _Exception

### Constructors

#### ProxyException(String)

Instantiate a new instance of this exception - must be invoked by derived classes' constructors

##### Declaration

    protected ProxyException(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
String | message | Exception message

#### ProxyException(String, Exception)

Instantiate this exception - must be invoked by derived classes' constructors

##### Declaration

    protected ProxyException(string message, Exception innerException)

##### Parameters

Type | Name | Description
--- | --- | ---
String | message | Excception message
Exception | innerException | Inner exception associated

### Implements

System.Runtime.Serialization.ISerializable
System.Runtime.InteropServices._Exception